Skip to content

Bootstrap Portal Copilot

POST
/v1/portal/copilot/bootstrap
curl --request POST \
--url 'https://example.com/v1/portal/copilot/bootstrap?tenant_id=' \
--header 'Content-Type: application/json' \
--data '{ "page_path": "/", "surface_key": "portal", "entity_ref": "", "selected_text": "", "draft_target_id": "", "instruction_notes": "", "interaction_manifest": [ { "id": "example", "kind": "scroll", "label": "example", "description": "", "value_hint": "", "widget_role": "", "owner_surface": "", "priority": 0 } ], "session_nonce": "" }'
tenant_id
Tenant Id
string
""
x-pomerium-jwt-assertion
Any of:
string
X-FractalOps-Tenant-Id
Any of:
string
Media typeapplication/json
PortalCopilotBootstrapIn
object
page_path
Page Path
string
default: /
surface_key
Surface Key
string
default: portal
entity_ref
Entity Ref
string
""
selected_text
Selected Text
string
""
draft_target_id
Draft Target Id
string
""
instruction_notes
Instruction Notes
string
""
interaction_manifest
Interaction Manifest
Array<object>
PortalCopilotInteractionBindingIn
object
id
required
Id
string
kind
required
Kind
string
Allowed values: scroll highlight draft_fill
label
required
Label
string
description
Description
string
""
value_hint
Value Hint
string
""
widget_role
Widget Role
string
""
owner_surface
Owner Surface
string
""
priority
Priority
integer
0
session_nonce
Session Nonce
string
""

Successful Response

Media typeapplication/json
PortalCopilotBootstrapOut
object
session
required
PortalCopilotSession
object
thread_id
required
Thread Id
string
assistant_id
required
Assistant Id
string
owner_key
required
Owner Key
string
tenant_id
required
Tenant Id
string
subject_key
required
Subject Key
string
page_path
required
Page Path
string
surface_key
required
Surface Key
string
enabled
required
Enabled
boolean
disabled_reason
Disabled Reason
string
""
runtime_provider
Runtime Provider
string
""
runtime_model
Runtime Model
string
""
credential_ref
Credential Ref
string
""
credential_status
Credential Status
string
""
capabilities
Capabilities
Array<object>
PortalCopilotCapability
object
action_id
required
Action Id
string
label
required
Label
string
summary
Summary
string
""
state
State
string
default: disabled
Allowed values: allowed denied disabled
reason
Reason
string
""
mcp_server_url
Mcp Server Url
string
""
stream_endpoint
Stream Endpoint
string
""
Example
{
"session": {
"disabled_reason": "",
"runtime_provider": "",
"runtime_model": "",
"credential_ref": "",
"credential_status": ""
},
"capabilities": [
{
"summary": "",
"state": "allowed",
"reason": ""
}
],
"mcp_server_url": "",
"stream_endpoint": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}